Bug 158498 - Support for RFC 1788
Support for RFC 1788
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
http://www.dolda2000.com/~fredrik/icm...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-22 21:38 EDT by Fredrik Tolf
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-27 16:15:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fredrik Tolf 2005-05-22 21:38:57 EDT
No Linux distro that I've seen so far supports RFC 1788
(<http://www.faqs.org/rfcs/rfc1788.html>), which describes a method for fetching
the FQDN of a host over ICMP. It seems the BSDs support this, and it also seems
to be suggested for Internet hosts.

I have recently written a set of programs and a nameswitch module to support
this (given by the URL of this bug). Just today, I received a contribution of an
RPM spec for it as well, so I would like to suggest that Fedora Core 5 includes
these programs, thereby possibly becoming the first Linux distro to support RFC
1788. It would also be convenient for me, so that I won't have to install it
manually anymore. ;-)

Fetching the FQDN over ICMP is very convenient for situations where you are
communicating between, for example, two different home networks where no other
method of reverse lookup is possible (it's not easy, if even possible, for a
home user to get a delegation for an in-addr.arpa zone). It is thus the only way
to, for example, do Kerberos authentication between two such networks.
Comment 1 Elliot Lee 2005-06-27 16:15:16 EDT
We're going to pass on this one for Core, although it would make a fine addition
to Fedora Extras.

Note You need to log in before you can comment on or make changes to this bug.